import { takeLatest } from 'redux-saga/effects';
import handleErrorSaga from './handleErrorSaga';
import { Type as TransactionType } from '../../Transaction/actionTypes';
import { Type as SkillType } from '../../Skill/actionTypes';

export default function* skillSaga() {
    yield takeLatest(
        [
            SkillType.GET_SKILLS_ERROR,
            TransactionType.GET_TRANSACTION_ERROR,
            TransactionType.CREATE_TRANSACTION_ERROR,
            TransactionType.DOWNLOAD_TRANSACTION_FILE_ERROR,
            TransactionType.DELETE_TRANSACTION_ERROR,
            TransactionType.CREATE_LOCAL_TRANSACTION_ERROR,
        ],
        handleErrorSaga,
    );
}
