#!/bin/sh

# This script is used only for local (on prem) hosting and is ignored in Vantage cluster.
# If the application is hosted in Vantage cluster all neccessary commands are specified in helm/templates/development.yaml

set -e

env | grep REACT_APP;

envsubst "$(env | cut -d= -f1 | grep REACT_APP | sed -e 's/^/$/')" < /etc/nginx/templates/tryskill.conf > /etc/nginx/tryskill.conf;

if [ "$REACT_APP_USE_HTTPS" = "true" ]; then
    envsubst "$(env | cut -d= -f1 | grep REACT_APP | sed -e 's/^/$/')" < /etc/nginx/templates/https_server.conf > /etc/nginx/conf.d/default.conf;
else
    envsubst "$(env | cut -d= -f1 | grep REACT_APP | sed -e 's/^/$/')" < /etc/nginx/templates/http_server.conf > /etc/nginx/conf.d/default.conf;
fi

cat /etc/nginx/conf.d/default.conf


exec "$@"
