import { errorHide, errorShow } from './ErrorActions';
import { Type } from '../actionTypes';

describe('Error action tests', () => {
    it('Error show', () => {
        const expectedAction = {
            type: Type.ERROR_SHOW,
            payload: {
                errorText: 'error text',
            },
        };

        expect(
            errorShow({
                errorText: 'error text',
            }),
        ).toEqual(expectedAction);
    });

    it('Error hide', () => {
        const expectedAction = {
            type: Type.ERROR_HIDE,
        };

        expect(errorHide()).toEqual(expectedAction);
    });
});
