/** Action type constants */
export const Type = {
    CREATE_LOCAL_TRANSACTION_REQUEST: 'transaction/local/create/request' as const,
    CREATE_LOCAL_TRANSACTION_SUCCESS: 'transaction/local/create/success' as const,
    CREATE_LOCAL_TRANSACTION_ERROR: 'transaction/local/create/error' as const,

    CREATE_TRANSACTION_REQUEST: 'transaction/create/request' as const,
    CREATE_TRANSACTION_MOBILE_REQUEST: 'transaction/create-mobile/request' as const,
    CREATE_TRANSACTION_START: 'transaction/create/start' as const,
    CREATE_TRANSACTION_SUCCESS: 'transaction/create/success' as const,
    CREATE_TRANSACTION_ERROR: 'transaction/create/error' as const,

    GET_TRANSACTION_REQUEST: 'transaction/get/request' as const,
    GET_TRANSACTION_START: 'transaction/get/start' as const,
    GET_TRANSACTION_SUCCESS: 'transaction/get/success' as const,
    GET_TRANSACTION_ERROR: 'transaction/get/error' as const,

    GET_TRANSACTION_REPEAT: 'transaction/get/repeat' as const,
    GET_TRANSACTION_STOP: 'transaction/get/stop' as const,

    DELETE_TRANSACTION_REQUEST: 'transaction/delete/request' as const,
    DELETE_ALL_TRANSACTION_REQUEST: 'transaction/all/delete/request' as const,
    DELETE_TRANSACTION_START: 'transaction/delete/start' as const,
    DELETE_TRANSACTION_SUCCESS: 'transaction/delete/success' as const,
    DELETE_TRANSACTION_ERROR: 'transaction/delete/error' as const,

    DOWNLOAD_TRANSACTION_FILE_REQUEST: 'transaction/file/download/request' as const,
    DOWNLOAD_TRANSACTION_FILE_START: 'transaction/file/download/start' as const,
    DOWNLOAD_TRANSACTION_FILE_SUCCESS: 'transaction/file/download/success' as const,
    DOWNLOAD_TRANSACTION_FILE_ERROR: 'transaction/file/download/error' as const,
};
