import React from 'react';
import { BrowserRouter as Router, Route } from 'react-router-dom';
import MainPageContainer from '../MainPage/MainPageContainer';
import LoginPageContainer from '../LoginPage/LoginPageContainer';

/**
 *  Container to render a AppRouter
 */
function AppRouterContainer() {
	return (
    <Router basename={'/try-any-skill'}>
			<Route exact path="/" component={MainPageContainer}/>
			<Route exact path="/login" component={LoginPageContainer}/>
		</Router>
	);
}

export default AppRouterContainer;
